# Add a destination bank account to the customer account `POST https://api.leapa.co/v2/customers/{customer_id}/destination/bank` Add a destination Bank to the customer account Send your API key as a bearer token in the `Authorization` header. ## Path parameters - `customer_id` · _string_ · **required** Example: `cus_3d8e51fa20` ## Request body Required. `application/json`. - `holder_type` · _string_ · **required** — Holder Type Allowed values: `individual`, `company` - `bank_request` · _BankRequest_ · **required** - `currency` · _string_ · **required** — Card Currency Allowed values: `BIF`, `USD`, `KES`, `XAF` - `address` · _AddressRequestRestricted_ - `city` · _string_ · **required** — City. Constraints: Not null, Size(min=3, max=90) Must be: 3 to 90 characters - `state` · _string_ — State. Constraints: Size(min=1, max=90) Must be: 1 to 90 characters - `type` · _string_ · **required** — The type of address. Constraints: Not null Allowed values: `personal`, `business` - `country` · _string_ · **required** — 2 letter ISO Country Code. Constraints: Not null, Size(min=2, max=3) Allowed values: `BI`, `CM` - `zip` · _string_ — Zip. Constraints: Size(min=1, max=15) Must be: 1 to 15 characters - `line1` · _string_ · **required** — Line 1. Constraints:Not null, Size(min=1, max=90) Must be: 1 to 90 characters - `line2` · _string_ · **required** — Line 2. Constraints: Size(min=1, max=90) Must be: 1 to 90 characters - `account_number` · _string_ · **required** — Bank Account Number - `routing_number` · _string_ · **required** — Routing transit number for the bank account - `bank_name` · _string_ · **required** — Bank name ```json { "holder_type": "individual", "bank_request": { "currency": "BIF", "address": { "city": "string", "state": "string", "type": "personal", "country": "BI", "zip": "string", "line1": "string", "line2": "string" }, "account_number": "00012345678901", "routing_number": "string", "bank_name": "Jeanne Ndayishimiye" } } ``` ## Response 201 - `holder_type` · _string_ · **required** — Holder Type Allowed values: `individual`, `company` - `bank_response` · _BankResponse_ · **required** - `object` · _string_ — Object name - `address` · _AddressResponse_ - `object` · _string_ — Object name - `city` · _string_ — City - `type` · _string_ — The type of address. Can be Business location address or Bank Address Allowed values: `personal`, `business` - `status` · _string_ — Address status - invalid, line1_fail, line1_pass, line1_zip_pass, unchecked, verified, zip_fail, zip_pass Allowed values: `invalid`, `line1_pass`, `line1_name_pass`, `line1_zip_pass`, `name_pass`, `name_zip_pass`, `unchecked`, `verified`, `zip_pass` - `state` · _string_ — State - `zip` · _string_ — Zip - `line1` · _string_ — Line 1 - `line2` · _string_ — Line 2 - `defaultPayout` · _boolean_ - `owner_name` · _string_ — Name of the account owner. - `type` · _string_ — Type of payout account. Allowed values: `bank`, `mobile`, `cash` - `bank_name` · _string_ — Bank Name - `account_id` · _string_ — Account id. - `default` · _boolean_ — Flag indicating whether the account is a default payout or not. - `account_number` · _string_ — Account Number - `routing_number` · _string_ — Routing transit number for the bank account - `created_at_date` · _integer_ — The date and time that the payout was created ```json { "holder_type": "individual", "bank_response": { "object": "string", "address": { "object": "string", "city": "string", "type": "personal", "status": "invalid", "state": "string", "zip": "string", "line1": "string", "line2": "string" }, "defaultPayout": false, "owner_name": "Jeanne Ndayishimiye", "type": "bank", "bank_name": "Jeanne Ndayishimiye", "account_id": "acc_62f3a8d15b", "default": false, "account_number": "00012345678901", "routing_number": "string", "created_at_date": 0 } } ``` ## Status codes - `201` Created - `400` Bad request - `401` Unauthorized - `402` Payment required - `403` Forbidden - `404` Not found - `428` Precondition required - `500` Server error ## Example ```bash curl -X POST "https://api.leapa.co/v2/customers/cus_3d8e51fa20/destination/bank" \ -H "Authorization: Bearer $LEAPA_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "holder_type": "individual", "bank_request": { "currency": "BIF", "address": { "city": "string", "state": "string", "type": "personal", "country": "BI", "zip": "string", "line1": "string", "line2": "string" }, "account_number": "00012345678901", "routing_number": "string", "bank_name": "Jeanne Ndayishimiye" } }' ``` --- _Generated from the Leapa documentation at leapa.co/docs._